---
title: WebGLRenderingContext.getShaderParameter()
slug: Web/API/WebGLRenderingContext/getShaderParameter
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.getShaderParameter()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> returns information about the given shader.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">any <var>gl</var>.getShaderParameter(<var>shader</var>, <var>pname</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>shader</dt>
 <dd>A {{domxref("WebGLShader")}} to get parameter information from.</dd>
 <dt>pname</dt>
 <dd>A {{domxref("GLenum")}} specifying the information to query. Possible values:
 <ul>
  <li><code>gl.DELETE_STATUS</code>: Returns a {{domxref("GLboolean")}} indicating whether or not the shader is flagged for deletion.</li>
  <li><code>gl.COMPILE_STATUS</code>: Returns a {{domxref("GLboolean")}} indicating whether or not the last shader compilation was successful.</li>
  <li><code>gl.SHADER_TYPE</code>: Returns a {{domxref("GLenum")}} indicating whether the shader is a vertex shader (<code>gl.VERTEX_SHADER</code>) or fragment shader (<code>gl.FRAGMENT_SHADER</code>) object.</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>Returns the requested shader information (as specified with <code>pname</code>).</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">gl.getShaderParameter(shader, gl.SHADER_TYPE);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.9", "getShaderParameter")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glGetShaderiv.xml", "glGetShaderiv")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the (similar) OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.getShaderParameter")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.getProgramParameter()")}}</li>
</ul>
